Subject: RE: [SIP] Video Conferencing?

From: Orit Levin <[email-masked]>
Date: Fri, 9 Feb 2001 10:42:48 -0500

Actually (because of one of our company businesses Voice and Video
Conferencing) we looked closer to how SIP can be used for real life
multimedia applications. I would say, there are still some obstacles on the
way before quality SIP/SDP based multimedia service will be delivered beyond
lab environment. And I am NOT talking about advanced features that hopefully
SDPng and some Floor Control protocol would provide. (BTW I support SDPng
work very much.)
As a first step towards "SIP for Video" I will submit a Draft for the
upcoming IETF meeting presenting these requirements. I would be glad to know
how much interest exists to work on this topic from the floor. 

Best Regards,
Orit Levin
RADVision Inc.
TEL: 201.529.4300 x 230
FAX:201.529.3516
mailto:[email-masked]
http://www.radvision.com 
575 Corporate Drive Suite 420 Mahwah, NJ 07430

-----Original Message-----
From: Henning Schulzrinne [mailto:[email-masked]]
Sent: Thursday, February 08, 2001 9:53 AM
To: Mark Lynch
Cc: [email-masked]'
Subject: Re: [SIP] Video Conferencing?

The spec contains several examples containing more than one media. If
you ignore things that don't belong in signaling protocols (such as
floor control), SIP will work just fine for any number of media. There
are a (small, unfortunately) number of user agents that support things
other than audio, but I've seen user agents supporting video, games,
text chat, shared whiteboards and shared applications, this being a
matter of adding the appropriate line to SDP, not of modifying SIP.

Thus, the lack of activity simply reflects the fact that there doesn't
seem to be anything special that is left to be done here.

This probably qualifies as a FAQ...

Mark Lynch wrote:
>
> Hi,
>
> I've been working with H323 for a while now but lately have been reading
> alot about SIP and must say I'm very impressed with it's simplicity and
> power. The only question I have is reagarding it's video conferencing
> capabilities. I've been led to believe it's a long way off ? I thought it
> was as simple as establishing an RTP channel and agreeing a codec.
>
> Could someone please tell me I'm wrong and point me to an example of Video
> conferecing via SIP? I can' t seem to find any.
>
> If I'm right could anyone clarify what is happening in relation to this.
>

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementer's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to [email-masked] with
"subscribe sip-implementors" in the body.

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementer's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to [email-masked] with
"subscribe sip-implementors" in the body.